Bug 822898 - Review Request: pari-seadata - PARI/GP Computer Algebra System modular polynomials
Review Request: pari-seadata - PARI/GP Computer Algebra System modular polyno...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paulo Andrade
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 821191
  Show dependency treegraph
 
Reported: 2012-05-18 08:57 EDT by Paul Howarth
Modified: 2012-06-02 16:51 EDT (History)
3 users (show)

See Also:
Fixed In Version: pari-seadata-20090618-3.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-02 16:51:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
paulo.cesar.pereira.de.andrade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paul Howarth 2012-05-18 08:57:46 EDT
Spec URL: http://subversion.city-fan.org/repos/cfo-repo/pari-seadata/branches/fedora/pari-seadata.spec
SRPM URL: http://www.city-fan.org/~paul/extras/pari/pari-seadata-20090618-1.src.rpm

Description:
This package contains the optional PARI package seadata, which provides the
modular polynomials for prime level up to 500 needed by the GP functions
ellap and ellsea.

These polynomials were extracted from the ECHIDNA databases available at
<http://echidna.maths.usyd.edu.au/kohel/dbs/> and computed by David R. Kohel
at the University of Sydney.
Comment 1 Paulo Andrade 2012-05-20 13:30:26 EDT
All comments to https://bugzilla.redhat.com/show_bug.cgi?id=822896
apply.

Extra comment is that, it also has a README file, that specifies
an unversioned GPL license, full contents below:

-%<-
Modular polynomials for PARI/GP
===============================

This package contains modular polynomials for p < 500, for use with ellsea.

These polynomials were extracted from the ECHIDNA databases
available at <http://echidna.maths.usyd.edu.au/kohel/dbs/>
and computed by David R. Kohel (kohel@maths.usyd.edu.au) University of Sydney 

===============================
PARI/GP is free software; you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation. It is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY WHATSOEVER.

Check the License for details. You should have received a copy of it, along
with the package; see the file 'COPYING'. If not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
-%<-

I did not specify it in the elldata review, but there is no COPYING file
in the tarball.
Comment 2 Paul Howarth 2012-05-23 08:57:40 EDT
Based on feedback for the pari-elldata package (Bug #822896), I've updated this one to add a dist tag, ensure sane permissions using %{_fixperms} and conflict with incompatible old versions of pari.

Spec URL: http://subversion.city-fan.org/repos/cfo-repo/pari-seadata/branches/fedora/pari-seadata.spec
SRPM URL: http://www.city-fan.org/~paul/extras/pari/pari-seadata-20090618-2.src.rpm

I've queried the license version (upstream's website and the University of Sydney site where the original data came from both state GPL version 2 or later) and missing COPYING file upstream; the Fedora packaging guidelines say we shouldn't ship a COPYING file (or any license text) if upstream forgets to include it though.
Comment 4 Paulo Andrade 2012-06-01 21:22:16 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[!]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint pari-seadata-20090618-3.fc18.src.rpm

pari-seadata.src: W: spelling-error %description -l en_US ellap -> Ella, Capella, elapse
pari-seadata.src: W: spelling-error %description -l en_US ellsea -> ell sea, ell-sea, ells ea
pari-seadata.src: W: spelling-error %description -l en_US http -> HTTP
pari-seadata.src: W: spelling-error %description -l en_US echidna -> Chicana
pari-seadata.src: W: spelling-error %description -l en_US usyd -> used, us yd, us-yd
pari-seadata.src: W: spelling-error %description -l en_US edu -> ed, educ, due
pari-seadata.src: W: spelling-error %description -l en_US au -> Au, a, u
pari-seadata.src: W: spelling-error %description -l en_US kohel -> kohl, Kohl
pari-seadata.src: W: spelling-error %description -l en_US dbs -> db, debs, dibs
pari-seadata.src: W: spelling-error %description -l en_US Kohel -> Kohl
1 packages and 0 specfiles checked; 0 errors, 10 warnings.


rpmlint pari-seadata-20090618-3.fc18.noarch.rpm

pari-seadata.noarch: W: spelling-error %description -l en_US ellap -> Ella, Capella, elapse
pari-seadata.noarch: W: spelling-error %description -l en_US ellsea -> ell sea, ell-sea, ells ea
pari-seadata.noarch: W: spelling-error %description -l en_US http -> HTTP
pari-seadata.noarch: W: spelling-error %description -l en_US echidna -> Chicana
pari-seadata.noarch: W: spelling-error %description -l en_US usyd -> used, us yd, us-yd
pari-seadata.noarch: W: spelling-error %description -l en_US edu -> ed, educ, due
pari-seadata.noarch: W: spelling-error %description -l en_US au -> Au, a, u
pari-seadata.noarch: W: spelling-error %description -l en_US kohel -> kohl, Kohl
pari-seadata.noarch: W: spelling-error %description -l en_US dbs -> db, debs, dibs
pari-seadata.noarch: W: spelling-error %description -l en_US Kohel -> Kohl
pari-seadata.noarch: E: incorrect-fsf-address /usr/share/doc/pari-seadata-20090618/README
1 packages and 0 specfiles checked; 1 errors, 10 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/pcpa/rpmbuild/822898/seadata.tgz :
  MD5SUM this package     : 6e9c119ccb3c65916a48e1a8cd899558
  MD5SUM upstream package : 6e9c119ccb3c65916a48e1a8cd899558
/home/pcpa/rpmbuild/822898/seadata.tgz.asc :
  MD5SUM this package     : 5e80f8ebacf806d6a7b6b43521b9e2ba
  MD5SUM upstream package : 5e80f8ebacf806d6a7b6b43521b9e2ba

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Rpmlint output is silent.
[!]: MUST Package does not own files or directories owned by other packages.

rpmlint pari-seadata-20090618-3.fc18.src.rpm

pari-seadata.src: W: spelling-error %description -l en_US ellap -> Ella, Capella, elapse
pari-seadata.src: W: spelling-error %description -l en_US ellsea -> ell sea, ell-sea, ells ea
pari-seadata.src: W: spelling-error %description -l en_US http -> HTTP
pari-seadata.src: W: spelling-error %description -l en_US echidna -> Chicana
pari-seadata.src: W: spelling-error %description -l en_US usyd -> used, us yd, us-yd
pari-seadata.src: W: spelling-error %description -l en_US edu -> ed, educ, due
pari-seadata.src: W: spelling-error %description -l en_US au -> Au, a, u
pari-seadata.src: W: spelling-error %description -l en_US kohel -> kohl, Kohl
pari-seadata.src: W: spelling-error %description -l en_US dbs -> db, debs, dibs
pari-seadata.src: W: spelling-error %description -l en_US Kohel -> Kohl
1 packages and 0 specfiles checked; 0 errors, 10 warnings.


rpmlint pari-seadata-20090618-3.fc18.noarch.rpm

pari-seadata.noarch: W: spelling-error %description -l en_US ellap -> Ella, Capella, elapse
pari-seadata.noarch: W: spelling-error %description -l en_US ellsea -> ell sea, ell-sea, ells ea
pari-seadata.noarch: W: spelling-error %description -l en_US http -> HTTP
pari-seadata.noarch: W: spelling-error %description -l en_US echidna -> Chicana
pari-seadata.noarch: W: spelling-error %description -l en_US usyd -> used, us yd, us-yd
pari-seadata.noarch: W: spelling-error %description -l en_US edu -> ed, educ, due
pari-seadata.noarch: W: spelling-error %description -l en_US au -> Au, a, u
pari-seadata.noarch: W: spelling-error %description -l en_US kohel -> kohl, Kohl
pari-seadata.noarch: W: spelling-error %description -l en_US dbs -> db, debs, dibs
pari-seadata.noarch: W: spelling-error %description -l en_US Kohel -> Kohl
pari-seadata.noarch: E: incorrect-fsf-address /usr/share/doc/pari-seadata-20090618/README
1 packages and 0 specfiles checked; 1 errors, 10 warnings.


See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint

-------------------------------------------------------------------
rpmlint spelling check should be ignored, and like pari-elldata,
shared ownership of %{_datadir}/pari is justified to avoid
cyclic dependencies.

I consider the package approved.

This should cover the new pari data packages, that will now
also be a pari build requires (for %check) and allow updating
pari to latest upstream version.
Comment 5 Paulo Andrade 2012-06-01 22:25:23 EDT
I am afraid I may have messed things a bit by not first
setting flags to "fedora-review?" and going straight to
"fedora-review+", as I "kind of" batched the review with
pari-elldata and pari-galdata, and did not set the flag
earlier to have it as a "placeholder" for other reviewers
to share their opinions; but update of pari to latest
upstream release is very important for packages I have
depending on pari update, or still to have a review
request created.
Comment 6 Paul Howarth 2012-06-02 09:40:51 EDT
New Package SCM Request
=======================
Package Name: pari-seadata
Short Description: PARI/GP Computer Algebra System modular polynomials
Owners: pghmcfc


No branches for this one as it's not compatible with pari < 2.4 in all current releases.

Thanks for the reviews. If you would like to co-maintain these packages, just apply on pkgdb once they've been imported.
Comment 7 Gwyn Ciesla 2012-06-02 13:33:11 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.